clang 8.0.0

Classes | Namespaces | Typedefs | Enumerations
Consumed.h File Reference
`#include "clang/Analysis/Analyses/PostOrderCFGView.h"`
`#include "clang/Analysis/CFG.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/PartialDiagnostic.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <list>`
`#include <memory>`
`#include <utility>`
`#include <vector>`
Include dependency graph for Consumed.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::consumed::ConsumedWarningsHandlerBase
class | clang::consumed::ConsumedStateMap
class | clang::consumed::ConsumedBlockInfo
class | clang::consumed::ConsumedAnalyzer
| A class that handles the analysis of uniqueness violations. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::consumed

## Typedefs
using | clang::consumed::OptionalNotes = SmallVector< PartialDiagnosticAt, 1 >
using | clang::consumed::DelayedDiag = std::pair< PartialDiagnosticAt, OptionalNotes >
using | clang::consumed::DiagList = std::list< DelayedDiag >

## Enumerations
enum | clang::consumed::ConsumedState { clang::consumed::CS_None, clang::consumed::CS_Unknown, clang::consumed::CS_Unconsumed, clang::consumed::CS_Consumed }